curl https://api.stophy.dev/v1/parsers
const response = await fetch("https://api.stophy.dev/v1/parsers");
console.log(await response.json());
import requests
response = requests.get(
"https://api.stophy.dev/v1/parsers",
)
print(response.json())
{
"success": true,
"data": {
"parsers": [
{
"name": "google-maps",
"takes": "A Google Maps search page that names a place after in, near or around",
"example": "https://www.google.com/maps/search/dentists+in+Ljubljana",
"view": null,
"response": {
"results": [
{
"id": "0x47653296b2abdbc7:0x49588016d0bf3f31",
"url": "https://www.google.com/maps?cid=5285114998199107377",
"name": "OrthoDental",
"categories": [
"Dentist",
"Dental clinic",
"Dental implants periodontist"
],
"address": "Vilharjeva cesta 42, 1000 Ljubljana, Slovenia",
"location": {
"latitude": 46.0595907,
"longitude": 14.5190697
},
"phone": "+1 555 0100",
"website": "https://orthodental.si/",
"description": null,
"rating": 4.9,
"reviewCount": 845,
"priceLevel": null,
"hours": [
{
"days": "Thursday",
"times": [
"7 AM-8 PM"
]
}
],
"images": [
"https://lh3.googleusercontent.com/grass-cs/AABkmLdBhaKXYHqK_5Aj1bnahBGOIT1sRrAAJnXe3Rmn96rrVp4oGovG0IIlCy2N9ZA74ppszS7_…"
],
"googlePlaceId": "ChIJx9urspYyZUcRMT-_0BaAWEk",
"photos": 57,
"hoursToday": "7 AM-8 PM",
"openStatus": "Closed · Opens 7 AM",
"timezone": "Europe/Ljubljana",
"reservationUrl": null,
"attributes": [
"Wheelchair accessible entrance",
"Wheelchair accessible parking lot",
"Wheelchair accessible restroom"
]
}
],
"cursor": null,
"page": 1,
"total": null
},
"options": [
{
"name": "minRating"
}
],
"output": "place list",
"returns": [
"results",
"cursor",
"page"
],
"price": "1 credit per call",
"credits": 1,
"keyless": true
}
],
"kinds": {
"post": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"text": {
"anyOf": [
{
"type": "string"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"community": {
"anyOf": [
{
"type": "object",
"properties": {
"name": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"name",
"url"
],
"additionalProperties": {}
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"comments": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"shares": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"views": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"image",
"video",
"audio"
]
},
"url": {
"type": "string",
"format": "uri"
}
},
"required": [
"type",
"url"
],
"additionalProperties": {}
}
},
"hashtags": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"profile": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"bio": {
"anyOf": [
{
"type": "string"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"isVerified": {
"anyOf": [
{
"type": "boolean"
}
]
},
"followers": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"following": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"posts": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"website": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"location": {
"anyOf": [
{
"type": "string"
}
]
},
"category": {
"anyOf": [
{
"type": "string"
}
]
}
},
"required": [
"id",
"url",
"handle"
],
"additionalProperties": {}
},
"product": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"brand": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"price": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"originalPrice": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"reviewCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"availability": {
"anyOf": [
{
"type": "string"
}
]
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"seller": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"place": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"name": {
"type": "string"
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"address": {
"anyOf": [
{
"type": "string"
}
]
},
"location": {
"anyOf": [
{
"type": "object",
"properties": {
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
},
"required": [
"latitude",
"longitude"
],
"additionalProperties": {}
}
]
},
"phone": {
"anyOf": [
{
"type": "string"
}
]
},
"website": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"reviewCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"priceLevel": {
"anyOf": [
{
"type": "string"
}
]
},
"hours": {
"type": "array",
"items": {
"type": "object",
"properties": {
"days": {
"type": "string"
},
"times": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"days",
"times"
],
"additionalProperties": {}
}
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
}
},
"required": [
"id",
"url",
"name"
],
"additionalProperties": {}
},
"review": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"text": {
"anyOf": [
{
"type": "string"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"response": {
"anyOf": [
{
"type": "object",
"properties": {
"text": {
"type": "string"
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
}
},
"required": [
"text",
"publishedAt"
],
"additionalProperties": {}
}
]
},
"subject": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"url"
],
"additionalProperties": false
}
]
}
},
"required": [
"id",
"url",
"author"
],
"additionalProperties": {}
},
"job": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"type": "string"
},
"company": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"url"
],
"additionalProperties": false
}
]
},
"location": {
"anyOf": [
{
"type": "string"
}
]
},
"isRemote": {
"anyOf": [
{
"type": "boolean"
}
]
},
"salary": {
"anyOf": [
{
"type": "object",
"properties": {
"min": {
"anyOf": [
{
"type": "number"
}
]
},
"max": {
"anyOf": [
{
"type": "number"
}
]
},
"currency": {
"anyOf": [
{
"type": "string",
"minLength": 3,
"maxLength": 3
}
]
},
"period": {
"anyOf": [
{
"type": "string",
"enum": [
"hour",
"day",
"week"
]
}
]
}
},
"required": [
"min",
"max",
"currency"
],
"additionalProperties": {}
}
]
},
"employmentType": {
"anyOf": [
{
"type": "string"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"listing": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"price": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"pricePeriod": {
"anyOf": [
{
"type": "string",
"enum": [
"sale",
"night",
"month"
]
}
]
},
"status": {
"anyOf": [
{
"type": "string"
}
]
},
"address": {
"anyOf": [
{
"type": "string"
}
]
},
"location": {
"anyOf": [
{
"type": "object",
"properties": {
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
},
"required": [
"latitude",
"longitude"
],
"additionalProperties": {}
}
]
},
"bedrooms": {
"anyOf": [
{
"type": "number"
}
]
},
"bathrooms": {
"anyOf": [
{
"type": "number"
}
]
},
"area": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"unit": {
"type": "string",
"enum": [
"sqft",
"sqm"
]
}
},
"required": [
"amount",
"unit"
],
"additionalProperties": {}
}
]
},
"propertyType": {
"anyOf": [
{
"type": "string"
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"reviewCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
},
"host": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"video": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"durationSeconds": {
"anyOf": [
{
"type": "number",
"minimum": 0
}
]
},
"views": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"comments": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"thumbnailUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"hashtags": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"comment": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"text": {
"anyOf": [
{
"type": "string"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"replies": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"parentId": {
"anyOf": [
{
"type": "string"
}
]
}
},
"required": [
"id",
"url",
"author"
],
"additionalProperties": {}
},
"event": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"startsAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"endsAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"timezone": {
"anyOf": [
{
"type": "string"
}
]
},
"isOnline": {
"anyOf": [
{
"type": "boolean"
}
]
},
"address": {
"anyOf": [
{
"type": "string"
}
]
},
"location": {
"anyOf": [
{
"type": "object",
"properties": {
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
},
"required": [
"latitude",
"longitude"
],
"additionalProperties": {}
}
]
},
"price": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"hosts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
}
}
}
}
Catalog
List parsers
List the parsers: the sites scrape can return as JSON, the page each one reads, what it returns and what it costs. Send one request and get JSON back.
GET
/
v1
/
parsers
curl https://api.stophy.dev/v1/parsers
const response = await fetch("https://api.stophy.dev/v1/parsers");
console.log(await response.json());
import requests
response = requests.get(
"https://api.stophy.dev/v1/parsers",
)
print(response.json())
{
"success": true,
"data": {
"parsers": [
{
"name": "google-maps",
"takes": "A Google Maps search page that names a place after in, near or around",
"example": "https://www.google.com/maps/search/dentists+in+Ljubljana",
"view": null,
"response": {
"results": [
{
"id": "0x47653296b2abdbc7:0x49588016d0bf3f31",
"url": "https://www.google.com/maps?cid=5285114998199107377",
"name": "OrthoDental",
"categories": [
"Dentist",
"Dental clinic",
"Dental implants periodontist"
],
"address": "Vilharjeva cesta 42, 1000 Ljubljana, Slovenia",
"location": {
"latitude": 46.0595907,
"longitude": 14.5190697
},
"phone": "+1 555 0100",
"website": "https://orthodental.si/",
"description": null,
"rating": 4.9,
"reviewCount": 845,
"priceLevel": null,
"hours": [
{
"days": "Thursday",
"times": [
"7 AM-8 PM"
]
}
],
"images": [
"https://lh3.googleusercontent.com/grass-cs/AABkmLdBhaKXYHqK_5Aj1bnahBGOIT1sRrAAJnXe3Rmn96rrVp4oGovG0IIlCy2N9ZA74ppszS7_…"
],
"googlePlaceId": "ChIJx9urspYyZUcRMT-_0BaAWEk",
"photos": 57,
"hoursToday": "7 AM-8 PM",
"openStatus": "Closed · Opens 7 AM",
"timezone": "Europe/Ljubljana",
"reservationUrl": null,
"attributes": [
"Wheelchair accessible entrance",
"Wheelchair accessible parking lot",
"Wheelchair accessible restroom"
]
}
],
"cursor": null,
"page": 1,
"total": null
},
"options": [
{
"name": "minRating"
}
],
"output": "place list",
"returns": [
"results",
"cursor",
"page"
],
"price": "1 credit per call",
"credits": 1,
"keyless": true
}
],
"kinds": {
"post": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"text": {
"anyOf": [
{
"type": "string"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"community": {
"anyOf": [
{
"type": "object",
"properties": {
"name": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"name",
"url"
],
"additionalProperties": {}
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"comments": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"shares": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"views": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"image",
"video",
"audio"
]
},
"url": {
"type": "string",
"format": "uri"
}
},
"required": [
"type",
"url"
],
"additionalProperties": {}
}
},
"hashtags": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"profile": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"bio": {
"anyOf": [
{
"type": "string"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"isVerified": {
"anyOf": [
{
"type": "boolean"
}
]
},
"followers": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"following": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"posts": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"website": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"location": {
"anyOf": [
{
"type": "string"
}
]
},
"category": {
"anyOf": [
{
"type": "string"
}
]
}
},
"required": [
"id",
"url",
"handle"
],
"additionalProperties": {}
},
"product": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"brand": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"price": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"originalPrice": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"reviewCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"availability": {
"anyOf": [
{
"type": "string"
}
]
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"seller": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"place": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"name": {
"type": "string"
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"address": {
"anyOf": [
{
"type": "string"
}
]
},
"location": {
"anyOf": [
{
"type": "object",
"properties": {
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
},
"required": [
"latitude",
"longitude"
],
"additionalProperties": {}
}
]
},
"phone": {
"anyOf": [
{
"type": "string"
}
]
},
"website": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"reviewCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"priceLevel": {
"anyOf": [
{
"type": "string"
}
]
},
"hours": {
"type": "array",
"items": {
"type": "object",
"properties": {
"days": {
"type": "string"
},
"times": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"days",
"times"
],
"additionalProperties": {}
}
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
}
},
"required": [
"id",
"url",
"name"
],
"additionalProperties": {}
},
"review": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"text": {
"anyOf": [
{
"type": "string"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"response": {
"anyOf": [
{
"type": "object",
"properties": {
"text": {
"type": "string"
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
}
},
"required": [
"text",
"publishedAt"
],
"additionalProperties": {}
}
]
},
"subject": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"url"
],
"additionalProperties": false
}
]
}
},
"required": [
"id",
"url",
"author"
],
"additionalProperties": {}
},
"job": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"type": "string"
},
"company": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"url"
],
"additionalProperties": false
}
]
},
"location": {
"anyOf": [
{
"type": "string"
}
]
},
"isRemote": {
"anyOf": [
{
"type": "boolean"
}
]
},
"salary": {
"anyOf": [
{
"type": "object",
"properties": {
"min": {
"anyOf": [
{
"type": "number"
}
]
},
"max": {
"anyOf": [
{
"type": "number"
}
]
},
"currency": {
"anyOf": [
{
"type": "string",
"minLength": 3,
"maxLength": 3
}
]
},
"period": {
"anyOf": [
{
"type": "string",
"enum": [
"hour",
"day",
"week"
]
}
]
}
},
"required": [
"min",
"max",
"currency"
],
"additionalProperties": {}
}
]
},
"employmentType": {
"anyOf": [
{
"type": "string"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"listing": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"price": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"pricePeriod": {
"anyOf": [
{
"type": "string",
"enum": [
"sale",
"night",
"month"
]
}
]
},
"status": {
"anyOf": [
{
"type": "string"
}
]
},
"address": {
"anyOf": [
{
"type": "string"
}
]
},
"location": {
"anyOf": [
{
"type": "object",
"properties": {
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
},
"required": [
"latitude",
"longitude"
],
"additionalProperties": {}
}
]
},
"bedrooms": {
"anyOf": [
{
"type": "number"
}
]
},
"bathrooms": {
"anyOf": [
{
"type": "number"
}
]
},
"area": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"unit": {
"type": "string",
"enum": [
"sqft",
"sqm"
]
}
},
"required": [
"amount",
"unit"
],
"additionalProperties": {}
}
]
},
"propertyType": {
"anyOf": [
{
"type": "string"
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"reviewCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
},
"host": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"video": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"durationSeconds": {
"anyOf": [
{
"type": "number",
"minimum": 0
}
]
},
"views": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"comments": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"thumbnailUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"hashtags": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"comment": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"text": {
"anyOf": [
{
"type": "string"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"replies": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"parentId": {
"anyOf": [
{
"type": "string"
}
]
}
},
"required": [
"id",
"url",
"author"
],
"additionalProperties": {}
},
"event": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"startsAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"endsAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"timezone": {
"anyOf": [
{
"type": "string"
}
]
},
"isOnline": {
"anyOf": [
{
"type": "boolean"
}
]
},
"address": {
"anyOf": [
{
"type": "string"
}
]
},
"location": {
"anyOf": [
{
"type": "object",
"properties": {
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
},
"required": [
"latitude",
"longitude"
],
"additionalProperties": {}
}
]
},
"price": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"hosts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
}
}
}
}
Needs no API key.
curl https://api.stophy.dev/v1/parsers
const response = await fetch("https://api.stophy.dev/v1/parsers");
console.log(await response.json());
import requests
response = requests.get(
"https://api.stophy.dev/v1/parsers",
)
print(response.json())
{
"success": true,
"data": {
"parsers": [
{
"name": "google-maps",
"takes": "A Google Maps search page that names a place after in, near or around",
"example": "https://www.google.com/maps/search/dentists+in+Ljubljana",
"view": null,
"response": {
"results": [
{
"id": "0x47653296b2abdbc7:0x49588016d0bf3f31",
"url": "https://www.google.com/maps?cid=5285114998199107377",
"name": "OrthoDental",
"categories": [
"Dentist",
"Dental clinic",
"Dental implants periodontist"
],
"address": "Vilharjeva cesta 42, 1000 Ljubljana, Slovenia",
"location": {
"latitude": 46.0595907,
"longitude": 14.5190697
},
"phone": "+1 555 0100",
"website": "https://orthodental.si/",
"description": null,
"rating": 4.9,
"reviewCount": 845,
"priceLevel": null,
"hours": [
{
"days": "Thursday",
"times": [
"7 AM-8 PM"
]
}
],
"images": [
"https://lh3.googleusercontent.com/grass-cs/AABkmLdBhaKXYHqK_5Aj1bnahBGOIT1sRrAAJnXe3Rmn96rrVp4oGovG0IIlCy2N9ZA74ppszS7_…"
],
"googlePlaceId": "ChIJx9urspYyZUcRMT-_0BaAWEk",
"photos": 57,
"hoursToday": "7 AM-8 PM",
"openStatus": "Closed · Opens 7 AM",
"timezone": "Europe/Ljubljana",
"reservationUrl": null,
"attributes": [
"Wheelchair accessible entrance",
"Wheelchair accessible parking lot",
"Wheelchair accessible restroom"
]
}
],
"cursor": null,
"page": 1,
"total": null
},
"options": [
{
"name": "minRating"
}
],
"output": "place list",
"returns": [
"results",
"cursor",
"page"
],
"price": "1 credit per call",
"credits": 1,
"keyless": true
}
],
"kinds": {
"post": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"text": {
"anyOf": [
{
"type": "string"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"community": {
"anyOf": [
{
"type": "object",
"properties": {
"name": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"name",
"url"
],
"additionalProperties": {}
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"comments": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"shares": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"views": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"image",
"video",
"audio"
]
},
"url": {
"type": "string",
"format": "uri"
}
},
"required": [
"type",
"url"
],
"additionalProperties": {}
}
},
"hashtags": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"profile": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"bio": {
"anyOf": [
{
"type": "string"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"isVerified": {
"anyOf": [
{
"type": "boolean"
}
]
},
"followers": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"following": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"posts": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"website": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"location": {
"anyOf": [
{
"type": "string"
}
]
},
"category": {
"anyOf": [
{
"type": "string"
}
]
}
},
"required": [
"id",
"url",
"handle"
],
"additionalProperties": {}
},
"product": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"brand": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"price": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"originalPrice": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"reviewCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"availability": {
"anyOf": [
{
"type": "string"
}
]
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"seller": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"place": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"name": {
"type": "string"
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"address": {
"anyOf": [
{
"type": "string"
}
]
},
"location": {
"anyOf": [
{
"type": "object",
"properties": {
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
},
"required": [
"latitude",
"longitude"
],
"additionalProperties": {}
}
]
},
"phone": {
"anyOf": [
{
"type": "string"
}
]
},
"website": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"reviewCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"priceLevel": {
"anyOf": [
{
"type": "string"
}
]
},
"hours": {
"type": "array",
"items": {
"type": "object",
"properties": {
"days": {
"type": "string"
},
"times": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"days",
"times"
],
"additionalProperties": {}
}
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
}
},
"required": [
"id",
"url",
"name"
],
"additionalProperties": {}
},
"review": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"text": {
"anyOf": [
{
"type": "string"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"response": {
"anyOf": [
{
"type": "object",
"properties": {
"text": {
"type": "string"
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
}
},
"required": [
"text",
"publishedAt"
],
"additionalProperties": {}
}
]
},
"subject": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"url"
],
"additionalProperties": false
}
]
}
},
"required": [
"id",
"url",
"author"
],
"additionalProperties": {}
},
"job": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"type": "string"
},
"company": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"url"
],
"additionalProperties": false
}
]
},
"location": {
"anyOf": [
{
"type": "string"
}
]
},
"isRemote": {
"anyOf": [
{
"type": "boolean"
}
]
},
"salary": {
"anyOf": [
{
"type": "object",
"properties": {
"min": {
"anyOf": [
{
"type": "number"
}
]
},
"max": {
"anyOf": [
{
"type": "number"
}
]
},
"currency": {
"anyOf": [
{
"type": "string",
"minLength": 3,
"maxLength": 3
}
]
},
"period": {
"anyOf": [
{
"type": "string",
"enum": [
"hour",
"day",
"week"
]
}
]
}
},
"required": [
"min",
"max",
"currency"
],
"additionalProperties": {}
}
]
},
"employmentType": {
"anyOf": [
{
"type": "string"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"listing": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"price": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"pricePeriod": {
"anyOf": [
{
"type": "string",
"enum": [
"sale",
"night",
"month"
]
}
]
},
"status": {
"anyOf": [
{
"type": "string"
}
]
},
"address": {
"anyOf": [
{
"type": "string"
}
]
},
"location": {
"anyOf": [
{
"type": "object",
"properties": {
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
},
"required": [
"latitude",
"longitude"
],
"additionalProperties": {}
}
]
},
"bedrooms": {
"anyOf": [
{
"type": "number"
}
]
},
"bathrooms": {
"anyOf": [
{
"type": "number"
}
]
},
"area": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"unit": {
"type": "string",
"enum": [
"sqft",
"sqm"
]
}
},
"required": [
"amount",
"unit"
],
"additionalProperties": {}
}
]
},
"propertyType": {
"anyOf": [
{
"type": "string"
}
]
},
"rating": {
"anyOf": [
{
"type": "number",
"minimum": 0,
"maximum": 5
}
]
},
"reviewCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
},
"host": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"video": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"durationSeconds": {
"anyOf": [
{
"type": "number",
"minimum": 0
}
]
},
"views": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"comments": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"thumbnailUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"hashtags": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
},
"comment": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"author": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
]
},
"text": {
"anyOf": [
{
"type": "string"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"likes": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"replies": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"parentId": {
"anyOf": [
{
"type": "string"
}
]
}
},
"required": [
"id",
"url",
"author"
],
"additionalProperties": {}
},
"event": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"title": {
"anyOf": [
{
"type": "string"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
}
]
},
"startsAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"endsAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1…"
}
]
},
"timezone": {
"anyOf": [
{
"type": "string"
}
]
},
"isOnline": {
"anyOf": [
{
"type": "boolean"
}
]
},
"address": {
"anyOf": [
{
"type": "string"
}
]
},
"location": {
"anyOf": [
{
"type": "object",
"properties": {
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
},
"required": [
"latitude",
"longitude"
],
"additionalProperties": {}
}
]
},
"price": {
"anyOf": [
{
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string",
"minLength": 3,
"maxLength": 3
}
},
"required": [
"amount",
"currency"
],
"additionalProperties": {}
}
]
},
"hosts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
}
]
},
"handle": {
"anyOf": [
{
"type": "string"
}
]
},
"url": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
},
"avatarUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
}
]
}
},
"required": [
"id",
"name",
"handle"
],
"additionalProperties": {}
}
},
"images": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
}
},
"required": [
"id",
"url",
"title"
],
"additionalProperties": {}
}
}
}
}